package com.zipcode.wilmington.beanjawn;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.stream.StreamSupport;

public abstract class People<PersonType extends Person> implements Iterable<PersonType> {

    private ArrayList<PersonType> personList;

    public People() {
        personList = new ArrayList<>();
    }


    public People(PersonType...p) {
        this.personList = new ArrayList<>(Arrays.asList(p));
    }

    public void add(PersonType pt) {
        this.personList.add(pt);
    }

    public void remove(PersonType pt) {
        this.personList.remove(pt);
    }

    public Integer size() {
        return this.personList.size();
    }

    public void clear() {
        personList.clear();
    }

    public void addAll(Iterable<PersonType> ptIterable) {
        //ptIterable.forEach(personList::add);
        for (PersonType p: ptIterable){
            this.personList.add(p);
        }


    }

    public PersonType findById(long id) {
            for (PersonType pt : personList){
                if (pt.getId() == id){
                    return pt;
                }
            }
        return null;

    }

    public ArrayList<PersonType> findAll(){
        return this.personList;
    }

    @Override
    public Iterator<PersonType> iterator(){
        return personList.iterator();
    }

}
