package java.com.zipcode.wilmington.beanjawn;

import com.zipcode.wilmington.beanjawn.Instructor;
import com.zipcode.wilmington.beanjawn.Instructors;
import com.zipcode.wilmington.beanjawn.InstructorsConfig;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class InstructorConfigTest {

    private Instructors tcUsaInstructors;
    private Instructors tcUkInstructors;
    private Instructors instructors;

    @Autowired
    private InstructorsConfig instructorsConfig;

    @Before
    public void setUp(){
        tcUsaInstructors = instructorsConfig.tcUsaInstructors();
        tcUkInstructors = instructorsConfig.tcUkInstructors();
        instructors = instructorsConfig.instructors();
    }

    @Test
    public void testUsaInstructors(){
        Assert.assertEquals(tcUsaInstructors, instructorsConfig.tcUsaInstructors());
    }

    @Test
    public void testUkInstructors(){
        Assert.assertEquals(tcUkInstructors, instructorsConfig.tcUkInstructors());
    }

    @Test
    public void testInstructors(){
        Assert.assertEquals(instructors, instructorsConfig.instructors());
    }

    @Test
    public void testNotEquals(){
        Assert.assertNotEquals(tcUsaInstructors, tcUkInstructors);
        Assert.assertNotEquals(tcUsaInstructors, instructors);
        Assert.assertNotEquals(tcUkInstructors, instructors);
    }
}
